Bug 676019 (CVE-2010-4471) - CVE-2010-4471 OpenJDK Java2D font-related system property leak (6985453)
Summary: CVE-2010-4471 OpenJDK Java2D font-related system property leak (6985453)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-4471
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 676274 676275 676276 676277 676694 676695 676696 684826 684827 684828 688226 688227 688228
Blocks: 712887
TreeView+ depends on / blocked
 
Reported: 2011-02-08 16:11 UTC by Marc Schoenefeld
Modified: 2019-09-29 12:42 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-11 20:57:54 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0281 0 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security update 2011-02-17 18:15:12 UTC
Red Hat Product Errata RHSA-2011:0282 0 normal SHIPPED_LIVE Critical: java-1.6.0-sun security update 2011-02-17 18:13:17 UTC
Red Hat Product Errata RHSA-2011:0357 0 normal SHIPPED_LIVE Critical: java-1.6.0-ibm security update 2011-03-16 12:37:45 UTC
Red Hat Product Errata RHSA-2011:0364 0 normal SHIPPED_LIVE Critical: java-1.5.0-ibm security update 2011-03-17 19:15:03 UTC
Red Hat Product Errata RHSA-2011:0880 0 normal SHIPPED_LIVE Low: Red Hat Network Satellite server IBM Java Runtime security update 2011-06-16 19:21:49 UTC

Description Marc Schoenefeld 2011-02-08 16:11:03 UTC
A vulnerability was discovered in the 2D subcomponent. Exceptions thrown when processing broken CFF fonts could leak system property values.

This issue (CVE-2010-4471) is not exploitable when using OpenJDK on Red Hat
Enterprise Linux 5 and 6; however, the fix was added as a defense in depth.

Comment 7 errata-xmlrpc 2011-02-17 18:13:56 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6
  Extras for RHEL 4

Via RHSA-2011:0282 https://rhn.redhat.com/errata/RHSA-2011-0282.html

Comment 8 errata-xmlrpc 2011-02-17 18:15:36 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2011:0281 https://rhn.redhat.com/errata/RHSA-2011-0281.html

Comment 10 errata-xmlrpc 2011-03-16 12:37:55 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6
  Supplementary for Red Hat Enterprise Linux 5
  Extras for RHEL 4

Via RHSA-2011:0357 https://rhn.redhat.com/errata/RHSA-2011-0357.html

Comment 12 errata-xmlrpc 2011-03-17 19:15:22 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2011:0364 https://rhn.redhat.com/errata/RHSA-2011-0364.html

Comment 13 errata-xmlrpc 2011-06-16 19:21:58 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4

Via RHSA-2011:0880 https://rhn.redhat.com/errata/RHSA-2011-0880.html


Note You need to log in before you can comment on or make changes to this bug.